Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032157
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2016-02-08 13:302016-03-17 10:56
ReportercaristuView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision408e578e3673
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-11-20
Regression introduced in release3.0PR15Q1
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/289b897908c3 [^]
Triggers an Emergency PackNo
Summary

0032157: Not possible to sort by unit price in Return from Customer p&e

DescriptionIs not possible to sort by unit price in Return from Customer p&e.

The following error is displayed in the log after that:

867946fe 562280 [http-8082-5] ERROR org.hibernate.util.JDBCExceptionReporter - ERROR: invalid input syntax for type numeric: ""
  Position: 20857
867946fe 562280 [http-8082-5] ERROR org.openbravo.service.datasource.DataSourceServlet - could not execute query
org.hibernate.exception.DataException: could not execute query
    at org.hibernate.exception.SQLStateConverter.convert(SQLStateConverter.java:102)
    at org.hibernate.exception.JDBCExceptionHelper.convert(JDBCExceptionHelper.java:66)
    at org.hibernate.loader.Loader.doList(Loader.java:2536)
...
Steps To Reproduce1) Go to the [Return From Customer] window.
2) Create a new record in the header
3) Launch the Pick/Edit lines process
4) Sort by unit price. No results are shown.
Proposed SolutionIt seems that the problem is caused in the order by clause injected by ReturnToFromCustomerVendorHQLTransformer
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00321843.0PR16Q1 closedAtulOpenbravo Not possible to sort by unit price in Return from Customer p&e 
depends on backport 00321853.0PR15Q4.3 closedAtulOpenbravo Not possible to sort by unit price in Return from Customer p&e 
depends on backport 00321863.0PR15Q3.6 closedAtulOpenbravo Not possible to sort by unit price in Return from Customer p&e 
related to defect 0032201 closedplatform Unnescessary performance penalty while sorting and filtering column of HQL Datasources used in P&E windows 

-  Notes
(0084072)
AtulOpenbravo (developer)
2016-02-10 10:03
edited on: 2016-02-11 11:27

Test Plan
- Go to the [Return From Customer] window.
- Create a new record in the header
- Launch the Pick/Edit lines process
- Sort by unit price. Proper sorting is done.
- Repeat sorting by rest of columns and check sorting is properly done.
- Repeat sorting by rest of columns and check sorting is properly done, after removing implicit filter.
- Repeat same steps for [Return To Vendor] Window.

(0084079)
psanjuan (manager)
2016-02-10 14:42

Issue verified.
(0084080)
psanjuan (manager)
2016-02-10 15:10
edited on: 2016-02-10 15:50

Same problem found, fix applied, while sorting by Order Nº field and Return Reason.

Same problem found, fix do not applied, while sorting by Order Nº field and Return Reason.

Please fix those two as well, so final fix is complete.

(0084105)
psanjuan (manager)
2016-02-11 13:58

Test Plan above verified.

Issue fixed and working.

Issue can be code reviewed and closed.
(0084115)
hgbot (developer)
2016-02-11 17:06

Repository: erp/devel/pi
Changeset: 408e578e367342a0e305f519b8bc8128b51d6a81
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Feb 11 16:16:57 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/408e578e367342a0e305f519b8bc8128b51d6a81 [^]

Fixes Issue 0032157: Not possible to sort by unit price in Return from
Customer p&e

In case of the Return From Customer for a numeric value of unit Price COALESCE
was being use with '' which should have been 0 instead, COALESCE for order no
was missing for RTC, additonal ReturnReasonLeftClause2 added to replace
EntityAlias.name in the transformeredHQL Query.

---
M src/org/openbravo/common/datasource/ReturnToFromCustomerVendorHQLTransformer.java
---
(0084123)
vmromanos (developer)
2016-02-11 17:08

Code review + testing OK
(0085129)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-02-08 13:30 caristu New Issue
2016-02-08 13:30 caristu Assigned To => Triage Finance
2016-02-08 13:30 caristu Modules => Core
2016-02-08 13:30 caristu Triggers an Emergency Pack => No
2016-02-08 13:47 caristu Regression introduced in release => 3.0PR15Q1
2016-02-08 13:48 caristu Severity major => minor
2016-02-09 05:34 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2016-02-09 06:47 AtulOpenbravo Status new => scheduled
2016-02-10 10:03 AtulOpenbravo Note Added: 0084072
2016-02-10 10:05 AtulOpenbravo Regression level => Production - Confirmed Stable
2016-02-10 10:05 AtulOpenbravo Regression date => 2014-11-20
2016-02-10 10:05 AtulOpenbravo Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/289b897908c3 [^]
2016-02-10 10:20 AtulOpenbravo Status scheduled => acknowledged
2016-02-10 10:21 AtulOpenbravo Status acknowledged => scheduled
2016-02-10 14:42 psanjuan Note Added: 0084079
2016-02-10 14:49 psanjuan Note Edited: 0084072 View Revisions
2016-02-10 15:10 psanjuan Note Added: 0084080
2016-02-10 15:11 psanjuan Note Edited: 0084072 View Revisions
2016-02-10 15:12 psanjuan Note Edited: 0084080 View Revisions
2016-02-10 15:50 psanjuan Note Edited: 0084080 View Revisions
2016-02-11 11:27 AtulOpenbravo Note Edited: 0084072 View Revisions
2016-02-11 12:01 vmromanos Relationship added related to 0032201
2016-02-11 13:58 psanjuan Note Added: 0084105
2016-02-11 17:06 hgbot Checkin
2016-02-11 17:06 hgbot Note Added: 0084115
2016-02-11 17:06 hgbot Status scheduled => resolved
2016-02-11 17:06 hgbot Resolution open => fixed
2016-02-11 17:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/408e578e367342a0e305f519b8bc8128b51d6a81 [^]
2016-02-11 17:08 vmromanos Review Assigned To => vmromanos
2016-02-11 17:08 vmromanos Note Added: 0084123
2016-02-11 17:08 vmromanos Status resolved => closed
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085129


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker